6.0.0-git
2019-03-18

[#1577] unable to set sender to [@] error
Summary unable to set sender to [@] error
Queue IMP
Queue Version 4.0.2
Type Bug
State Not A Bug
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester alex (at) vc (dot) bks (dot) by
Created 2005-03-17 (5114 days ago)
Due
Updated 2008-12-23 (3737 days ago)
Assigned 2005-05-05 (5065 days ago)
Resolved 2005-09-17 (4930 days ago)
Milestone
Patch No

History
2008-12-23 16:03:01 Chuck Hagenbuch Deleted Original Message
 
2008-12-23 15:32:59 deldoul (at) maktoob (dot) com Comment #12
New Attachment: ÕæÑ ãÊäæÚÉ 006.jpg
Reply to this comment
Composing new letter, I got "unable to set sender to [@]" error by
pressing Send button.
Problem appears, if my Full Name in Personal Information contain more
than 18 non-latin (cyrillic) chars. In previous version of Imp
(3.2.5), that problem didn't exist.
Many peoples, using Imp on our organization, after upgrade to 4.0.2
can't send mail because in Full name they have somethings like
"Department of complex analytic bla-bla-bla" (in russian translation).
2005-09-17 07:42:32 Jan Schneider Comment #11
State ⇒ Not A Bug
Reply to this comment
I was finally able to create an environment to test this properly, and 
I still can't reproduce it. It might as well have been fixed already.



Tested versions were:

- Horde 3.0.5

- IMP 4.0.4-RC1

- Mail 1.1.9
2005-05-05 12:44:53 Jan Schneider State ⇒ Assigned
 
2005-04-22 14:04:34 alex (at) vc (dot) bks (dot) by Comment #10 Reply to this comment
Ok, I just upgrade my Mail package from 1.1.3 to 1.1.4. and reproduce 
now using name:

From: Отдел 
финансового 
&#1072;&#1085;&#1072;&#1083;&#1080;&#1079;&#1072; <admin@bks.by>



Pressing "send" button I got:

Validation failed for "=?windows-1251?b?zvLk5esg?= 
=?windows-1251?b?9Ojt4O3x7uLu4+4g?= =?windows-1251?b?4O3g6+jn4A==?= 
<admin@bks.by>"



Horde: 3.0.4-RC2

IMP: H3 (4.0.3)

Charset: windows-1251

Mail package 1.1.4
2005-04-22 09:48:36 Jan Schneider Comment #9 Reply to this comment
I can't reproduce this. I can send emails using the Brazilian name 
fine with all current IMP versions in both iso-8859-1 and utf-8 
encoding. My Mail package version is 1.1.4.
2005-03-19 20:40:09 alex (at) vc (dot) bks (dot) by Comment #8 Reply to this comment
Ok, in which place I can disable RFC822 validation, and than I risk?
2005-03-19 19:51:42 Chuck Hagenbuch Comment #7 Reply to this comment
So, is there anything Horde/IMP can do differently here? Sounds to me 
like this should be closed since the problem is in the PEAR package. 
If you can provide a reproducing test case (as was previously 
requested) for the PEAR bug, that'd be very helpful.
2005-03-19 19:48:55 gwm (at) haxent (dot) com (dot) br Comment #6 Reply to this comment
Ok, I tried tracking down this bug. I set my username to "Antônico 
César Júnior Só", which is guaranteed to fail here.



The validation of the "From" address fails in _validateAtom() in 
PEAR's Mail/RFC822.php. The problematic atom is 
"=?utf-8?b?Q8Opc2FyIA==?=" which appears to correspond to César and 
the test in which this atom fails is this:



if (preg_match('/[\\x00-\\x1F]+/', $atom)) {

     return false;

}



What's funny is that reducing the user's name to two names (Antônico 
César) appears to work, e.g. no control characters are found even 
though the encoded form should be the same as far as I know.



If I disable Mail_RFC822->validate the e-mail is sent normally and IMP 
can read the From header normally, but it's probably not RFC-compatible.



This is related to this: http://pear.php.net/bugs/bug.php?id=2242


2005-03-18 17:57:49 Chuck Hagenbuch Assigned to Jan Schneider
 
2005-03-18 16:50:22 alex (at) vc (dot) bks (dot) by Comment #5 Reply to this comment
Ok, I can do both for you.

http://www.bks.by/4Jan.html
2005-03-18 15:28:57 Jan Schneider Comment #4 Reply to this comment
No, I rather had a webpage in mind that you put somewhere, where i 
could copy the name and address from. Or upload the raw message source 
of such a message that was sent successfully with a different mail 
client.
2005-03-18 13:27:46 alex (at) vc (dot) bks (dot) by Comment #3 Reply to this comment
Sure. I set my Fullname to 19 cyrillic "A" chars, try to send and get 
error. Then, I remove one char and sending was successful.

Here is the part of received letter source:

From: =??b?0JDQkNCQ0JDQkNCQ0JDQkNCQ0JDQkNCQ0JDQkNCQ0JDQkA==?= =??b?0JA=?=

        <geronimo@bks.by>



That enough?
2005-03-18 09:18:31 Jan Schneider Comment #2
State ⇒ Feedback
Priority ⇒ 2. Medium
Reply to this comment
Can you put such a name somewhere, where we can retrieve it in the 
correct charset?
2005-03-17 18:09:50 alex (at) vc (dot) bks (dot) by Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ unable to set sender to [@] error
Queue ⇒ IMP
Reply to this comment
Composing new letter, I got "unable to set sender to [@]" error by 
pressing Send button.

Problem appears, if my Full Name in Personal Information contain more 
than 18 non-latin (cyrillic) chars. In previous version of Imp 
(3.2.5), that problem didn't exist.

Many peoples, using Imp on our organization, after upgrade to 4.0.2 
can't send mail because in Full name they have somethings like 
"Department of complex analytic bla-bla-bla" (in russian translation).

Saved Queries